/*******************************************************************************
 * Copyright (c) 2004, 2005 IBM Corporation.
 * All rights reserved. 
 *******************************************************************************/
package com.ibm.samplesgallery.servlets;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.ibm.samplegallery.WebappResources;
import com.ibm.samplegallery.internal.GalleryConstants;

/**
 * Create bookmark framesets - bookmark view and bookmark toolbar. 
 */
public class BookmarkNavigatorController extends HttpServlet implements GalleryConstants {
	public void doGet(HttpServletRequest req, HttpServletResponse res)
	throws ServletException, IOException {
			processRequest(req, res);
	}
	
	public void doPost(HttpServletRequest req, HttpServletResponse res)
	throws ServletException, IOException {
		processRequest(req, res);
	}
	
	public void processRequest(HttpServletRequest req, HttpServletResponse resp)
		throws ServletException, IOException {
		resp.setContentType("text/html;charset=UTF-8"); //$NON-NLS-1$
		StringBuffer html = new StringBuffer();
		html.append("<html>\n"); //$NON-NLS-1$
		html.append("<head>\r\n"); //$NON-NLS-1$
		html.append("<meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\r\n"); //$NON-NLS-1$
		html.append("</head>\r\n"); //$NON-NLS-1$
		html.append("<frameset id=\"bookmarkFrameset\" rows=\"24,*\" frameborder=\"0\" framespacing=\"0\" border=0 spacing=0>\r\n"); //$NON-NLS-1$
		html.append("<frame name=\"bookmarkToolbarFrame\" title=\"" + WebappResources.getString(I18N.GALLERY_FRAME_BOOKMARK_HEADER) + "\" src='BookmarkNavigatorToolbar'  marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\" frameborder=\"0\" noresize nowrap>\n"); //$NON-NLS-1$
		html.append("<frame name=\"bookmarkViewFrame\" title=\"" + WebappResources.getString(I18N.GALLERY_FRAME_BOOKMARK) + "\" src='BookmarkNavigator'  marginwidth=\"10\" marginheight=\"0\" frameborder=\"0\" >\n"); //$NON-NLS-1$
		html.append("</frameset>\n"); //$NON-NLS-1$
		html.append("</html>\n"); //$NON-NLS-1$
		String htmlString = html.toString();
		resp.getWriter().println(htmlString);
	}
}
